<!--<p *ngIf="!connectedDevices"><em>Loading...</em></p>

<div class="panel-body row">
  <div>Product Code</div>
  <div>Product Name</div>
  <div>Firmware Version</div>
  <div>Last Connected</div>
  <div>Class</div>
  <div>Logging Interval</div>
  <div>Last Power-up or Restart</div>
  <div>Instance</div>
</div>
<div class="panel-body row" *ngFor="let device of connectedDevices.records.devices">
    <div>{{device.name}}</div>
    <div>{{device.productCode}}</div>
    <div>{{device.productName}}</div>
    <div>{{device.firmwareVersion}}</div>
    <div>{{device.lastConnection}}</div>
    <div>{{device.class}}</div>
    <div>{{device.loggingInterval}}</div>
    <div>{{device.lastPowerUpOrRestart}}</div>
    <div>{{device.instance}}</div>
</div>-->
<table class='table table-striped' aria-labelledby="tableLabel" *ngIf="connectedDevices">
  <thead>
    <tr>
      <th>Name</th>
      <th>Product Code</th>
      <th>Product Name</th>
      <th>Firmware Version</th>
      <th>Last Connected</th>
      <th>Class</th>
      <th>Logging Interval</th>
      <th>Last Power-up or Restart</th>
      <th>Instance</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let device of connectedDevices.records.devices">
      <td>{{device.name}}</td>
      <td>{{device.productCode}}</td>
      <td>{{device.productName}}</td>
      <td>{{device.firmwareVersion}}</td>
      <td>{{device.lastConnection}}</td>
      <td>{{device.class}}</td>
      <td>{{device.loggingInterval}}</td>
      <td>{{device.lastPowerUpOrRestart}}</td>
      <td>{{device.instance}}</td>
    </tr>
  </tbody>
</table>
